use askama::Template;
use serde::Deserialize;

use crate::models::{Role, User, Vehicle};

pub mod delete;
pub mod get_edit;
pub mod get_new;
pub mod get_overview;
pub mod post_edit;
pub mod post_new;

#[derive(Template)]
#[cfg_attr(not(test), template(path = "vehicles/new_or_edit.html"))]
#[cfg_attr(
    test,
    template(path = "vehicles/new_or_edit.html", block = "content"),
    allow(dead_code)
)]
pub struct VehicleNewOrEditTemplate {
    user: User,
    vehicle: Option<Vehicle>,
}

#[derive(Deserialize)]
#[cfg_attr(test, derive(serde::Serialize))]
pub struct VehicleForm {
    radio_call_name: String,
    station: String,
}
